## libsharp 1.0.0

=== debian/changelog ===
libsharp (1.0.0-2) unstable; urgency=medium

  * Remove debian/compat file.
  * Fix broken debci tests.

 -- Leo Singer <leo.singer@ligo.org>  Fri, 03 Jan 2020 00:33:43 -0500

libsharp (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #947445)

 -- Leo Singer <leo.singer@ligo.org>  Thu, 26 Dec 2019 17:37:26 -0500
