=== debian/control ===
Source: libsharp
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Leo Singer <leo.singer@ligo.org>
Homepage: https://healpix.sourceforge.net
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/debian-astro-team/libsharp.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libsharp
Section: libs

Package: libsharp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libsharp0 (= ${binary:Version})
Description: fast spherical harmonic transforms - C/C++ library
 libsharp is a library for spherical harmonic transforms (SHTs), which evolved
 from the libpsht library, addressing several of its shortcomings, such as
 adding MPI support for distributed memory systems and SHTs of fields with
 arbitrary spin, but also supporting new developments in CPU instruction sets
 like the Advanced Vector Extensions (AVX) or fused multiply-accumulate (FMA)
 instructions. The library is implemented in portable C99 and provides an
 interface that can be easily accessed from other programming languages such as
 C++, Fortran, Python etc. Generally, libsharp's performance is at least on par
 with that of its predecessor; however, significant improvements were made to
 the algorithms for scalar SHTs, which are roughly twice as fast when using the
 same CPU capabilities.
 .
 This package provides the static library and headers.

Package: libsharp0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast spherical harmonic transforms - C/C++ development library
 libsharp is a library for spherical harmonic transforms (SHTs), which evolved
 from the libpsht library, addressing several of its shortcomings, such as
 adding MPI support for distributed memory systems and SHTs of fields with
 arbitrary spin, but also supporting new developments in CPU instruction sets
 like the Advanced Vector Extensions (AVX) or fused multiply-accumulate (FMA)
 instructions. The library is implemented in portable C99 and provides an
 interface that can be easily accessed from other programming languages such as
 C++, Fortran, Python etc. Generally, libsharp's performance is at least on par
 with that of its predecessor; however, significant improvements were made to
 the algorithms for scalar SHTs, which are roughly twice as fast when using the
 same CPU capabilities.
 .
 This package provides the dynamic library.
