=== debian/watch ===
version=4
http://sf.net/healpix/libsharp-(.*)\.tar\.gz
